<?php

/*
  Plugin Name: Tickera - reassociated event id
  Plugin URI: https://tickera.com/
  Description: reassociated event id with attendees
  Author: Tickera.com
  Author URI: https://tickera.com/
  Version: 1.0

  Copyright 2018 Tickera (https://tickera.com/)
 */


if ( !defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly

if ( !is_admin() ) {
	return;
}

/*if ( !current_user_can( 'manage_options' ) ) {
	return;
}*/

if ( !class_exists( 'TC_Reassociate_Event_Ids' ) ) {

	class TC_Reassociate_Event_Ids {

		var $version		 = '1.1';
		var $title		 = 'Event IDs';
		var $name		 = 'tc';
		var $dir_name	 = 'change-event-ids';
		var $plugin_dir	 = '';
		var $plugin_url	 = '';

		function __construct() {
			$this->title = __( 'Event IDs', 'tc' );
			add_filter( 'tc_settings_new_menus', array( &$this, 'tc_settings_new_menus_additional' ) );
			add_action( 'tc_settings_menu_reassociate_event_ids', array( &$this, 'tc_settings_menu_tickera_reassociate_event_ids_page' ) );
		}

		function tc_settings_new_menus_additional( $settings_tabs ) {
			$settings_tabs[ 'reassociate_event_ids' ] = __( 'Event IDs', 'tc' );
			return $settings_tabs;
		}

		function tc_settings_menu_tickera_reassociate_event_ids_page() {
			require_once( plugin_dir_path(__FILE__) . 'reassociate_event_ids_page.php' );
		}

	}

}

$TC_Reassociate_Event_Ids = new TC_Reassociate_Event_Ids();
?>